Author: jfrederic.clere(a)jboss.com
Date: 2010-05-02 05:04:38 -0400 (Sun, 02 May 2010)
New Revision: 2660
Added:
trunk/build/unix/buildbin.TC7.sh
trunk/build/unix/buildsrc.TC7.sh
trunk/build/unix/buildtest.TC7.sh
Modified:
trunk/build/unix/package.list
Log:
Add TC7 tests.
Added: trunk/build/unix/buildbin.TC7.sh
===================================================================
--- trunk/build/unix/buildbin.TC7.sh (rev 0)
+++ trunk/build/unix/buildbin.TC7.sh 2010-05-02 09:04:38 UTC (rev 2660)
@@ -0,0 +1,58 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-07-09 18:37:49 +0200 (Thu, 09
Jul 2009) $"
+echo ""
+echo "Started : `date`"
+echo "Common : $1"
+echo "Prefix : $2"
+echo "Output : $3"
+echo "OpenSSL : $4"
+echo "Static : $5"
+echo "Sources : $6"
+echo ""
+
+
+# parameters
+# $1: Location of the common libraries.
+# $2: Destination location.
+# $3: Location where to put the binaries.
+# $4: Use OpenSSL.
+# $5: Use static build.
+# $6: Location of the sources.
+
+common_loc=$1
+prefix_loc=$2
+output_loc=$3
+has_openssl_loc=$4
+has_static_loc=$5
+sources_loc=$6
+current_loc=`pwd`
+
+native_sources=srclib/`ls srclib | grep TC7`
+cd $native_sources
+ant || exit 1
+ant test || exit 1
+echo "Done"
+exit 0
Property changes on: trunk/build/unix/buildbin.TC7.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/build/unix/buildsrc.TC7.sh
===================================================================
--- trunk/build/unix/buildsrc.TC7.sh (rev 0)
+++ trunk/build/unix/buildsrc.TC7.sh 2010-05-02 09:04:38 UTC (rev 2660)
@@ -0,0 +1,65 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-10-27 08:23:43 +0100 (Tue, 27
Oct 2009) $"
+echo ""
+echo "Started : `date`"
+echo "Tag : $1"
+echo "Target : $2"
+echo ""
+
+# parameters
+# $1: The tag to use something like 2.2.6 or trunk
+# $2: Directory where to put the sources.
+
+tag=$1
+dist=$2
+
+# we need something like:
+#
http://anonsvn.jboss.org/repos/mod_cluster/trunk/
+case $tag in
+ trunk)
+
URLBASE=http://svn.apache.org/repos/asf/tomcat/trunk
+ ;;
+ branches/*)
+
URLBASE=http://svn.apache.org/repos/asf/tomcat/tc7.0.x/branches/${tag}
+ ;;
+ *)
+
URLBASE=http://svn.apache.org/repos/asf/tomcat/tc7.0.x/tags/${tag}
+ ;;
+esac
+
+echo "$tag using $URLBASE"
+(cd $package_src_dir/srclib
+svn export ${URLBASE} TC7
+)
+if [ $? -ne 0 ]; then
+ echo "svn co ${URLBASE} TC7 FAILED"
+ exit 1
+fi
+if [ ! -d $package_src_dir/srclib/TC7 ]; then
+ echo "$package_src_dir/srclib/TC7 not found!"
+ echo "svn co ${URLBASE} TC7 FAILED"
+ exit 1
+fi
Property changes on: trunk/build/unix/buildsrc.TC7.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/build/unix/buildtest.TC7.sh
===================================================================
--- trunk/build/unix/buildtest.TC7.sh (rev 0)
+++ trunk/build/unix/buildtest.TC7.sh 2010-05-02 09:04:38 UTC (rev 2660)
@@ -0,0 +1,52 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+# Run a test of the traffic_server.
+#
+# $1 : Base directory for the test.
+# $2 : Directory where the package was built.
+# $3 : Directory where downloaded packages are stored.
+# $4 : Name or IP to use for the tests.
+# $5 : Do the SSL stuff.
+
+base=$1
+root=$2
+build_cache_dir=$3
+IPLOCAL=$4
+loc_has_ssl=$5
+
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-10-29 08:26:17 +0100 (Thu, 29
Oct 2009) $"
+echo ""
+
+(cd ${root}
+./bin/startup.sh
+sleep 10
+curl -v
http://localhost:8080/NOT_FOUND 2>&1 | grep "Apache Tomcat/7" ||
exit 1
+./bin/shutdown.sh
+) || exit 1
+
+echo ""
+echo "SUCCESS : `basename $0` $LastChangedDate: 2009-10-29 08:26:17 +0100 (Thu, 29
Oct 2009) $"
+echo ""
+exit 0
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2010-04-14 09:13:39 UTC (rev 2659)
+++ trunk/build/unix/package.list 2010-05-02 09:04:38 UTC (rev 2660)
@@ -44,3 +44,4 @@
mod_cluster|1.1.0.dev|2.2.15|ssl:v:0.9.8k|zlib:v:1.2.3|jk:v:1.2.30|iconv:v:1.11|expat:v:1.95.8|cluster:t:trunk
mod_cluster|1.0.4.dev|2.2.15|ssl:v:0.9.8k|zlib:v:1.2.3|jk:v:1.2.30|iconv:v:1.11|expat:v:1.95.8|cluster:t:branches/1.0.x
traffic_server|TS_Trunk|trunk
+TC7|TC7_Trunk|trunk